<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [firefish-js](./firefish-js.md) &gt; [entities](./firefish-js.entities.md) &gt; [MessagingMessage](./firefish-js.entities.messagingmessage.md)

## entities.MessagingMessage type

**Signature:**

```typescript
export declare type MessagingMessage = {
	id: ID;
	createdAt: DateString;
	file: DriveFile | null;
	fileId: DriveFile["id"] | null;
	isRead: boolean;
	reads: User["id"][];
	text: string | null;
	user: User;
	userId: User["id"];
	recipient?: User | null;
	recipientId: User["id"] | null;
	group?: UserGroup | null;
	groupId: UserGroup["id"] | null;
};
```
**References:** [ID](./firefish-js.entities.id.md)<!-- -->, [DateString](./firefish-js.entities.datestring.md)<!-- -->, [DriveFile](./firefish-js.entities.drivefile.md)<!-- -->, [User](./firefish-js.entities.user.md)<!-- -->, [UserGroup](./firefish-js.entities.usergroup.md)

